%global dlrn_nvr hardware-0.29.0-0.20220216015636.7662a1d
%global dlrn 1
%define upstream_version 0.29.0
%{?!_licensedir:%global license %%doc}
%{!?upstream_version: %global upstream_version %{version}}

%global with_doc 0

%global common_desc \
Hardware detection and classification utilities. \
Features: \
* detect hardware features of a Linux systems: \
** RAID \
** hard drives \
** IPMI \
** network cards \
** DMI info \
** memory settings \
** processor features \
* filter hardware according to hardware profiles

Name:           python-hardware
Summary:        Hardware detection and classification utilities
Version: 0.29.0
Release: 0.20220216015636.7662a1d%{?dist}
License:        ASL 2.0
URL:            https://pypi.python.org/pypi/hardware

Source0: hardware-0.29.0-0.20220216015636.7662a1d.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=96c9863bd7103ef593a33731414cfb2b3fcee520

BuildArch:      noarch

BuildRequires:  git-core

%description
%{common_desc}


%package -n python3-hardware
Summary:        Hardware detection and classification utilities
%{?python_provide:%python_provide python3-hardware}
Obsoletes: python2-hardware < %{version}-%{release}

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-babel
BuildRequires:  python3-pbr
Requires: python3-hardware-detect = %{version}-%{release}
Requires: python3-pbr

%description -n python3-hardware
%{common_desc}

%package -n python3-hardware-detect
Summary:    Hardware detection and classification utilities
%{?python_provide:%python_provide python3-hardware-detect}
Obsoletes: python2-hardware-detect < %{version}-%{release}

Requires: lshw
Requires: smartmontools
Requires: lldpad
Requires: python3-pbr
Requires: python3-pexpect
Requires: ethtool
Requires: pciutils

# Benchmarking is an optional feature
%if 0%{?fedora} || 0%{?rhel} > 7
Recommends: fio
Recommends: sysbench
%else
Requires: fio
Requires: sysbench
%endif


%description -n python3-hardware-detect
%{common_desc}


%if 0%{?with_doc}
%package doc
Summary:    Documentation for Hardware detection and classification utilities
Group:      Documentation

BuildRequires:  python3-sphinx

%description doc
Documentation for Hardware detection and classification utilities.
%endif

%prep
%autosetup -S git -n hardware-%{upstream_version}
rm -rf *.egg-info

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%{py3_build}

%if 0%{?with_doc}
%{__python3} setup.py build_sphinx
rm -rf doc/build/html/.buildinfo
%endif

%install
%{py3_install}

%files -n python3-hardware
%license LICENSE
%doc README.rst
%{python3_sitelib}/hardware/test*
%{python3_sitelib}/hardware/__pycache__

%files -n python3-hardware-detect
%license LICENSE
%doc README.rst
%{_bindir}/hardware-detect
%{python3_sitelib}/hardware/benchmark
%{python3_sitelib}/hardware/*.py*
%{python3_sitelib}/hardware*.egg-info

%if 0%{?with_doc}
%files doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Thu Jul 15 2021 OSP Prod Chain <dev-null@redhat.com> 0.28.0-0.20210715081813.96c9863
- Update patches
- Move remaining functions from detect to detect_utils

* Sun Jul 11 2021 OSP Prod Chain <dev-null@redhat.com> 0.27.1-0.20210711081806.8d75297
- Update patches
- Remove runtime dependency on pbr
- Move detect_rtc_clock to rtc module

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 0.27.1-0.20210607080351.06bb616
- Update patches
- Move parse sdr function to ipmi module

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 0.27.1-0.20210528082335.683d558
- Update patches

* Fri Apr 09 2021 OSP Prod Chain <dev-null@redhat.com> 0.27.0-1
- Update patches
- Move smart fields to smart_utils_info as dict

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 0.27.0-1
- Update patches

* Thu Mar 18 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add line to setup.cfg limiting to Python >=3.6
- Run github actions on pull requests
- Start using github actions

* Fri Feb 19 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for Python 3.9

* Thu Feb 18 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove ddr timings info

* Wed Feb 03 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move detect temperatures function to its own module

* Tue Jan 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update requirements and tox minversion

* Wed Jan 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Jan 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Refactor infiniband module

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move ipmi detect logic to its module

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix final output

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move detect system to its own module
- Move some more functions to detect-utils
- Move more generic functions to detect-utils

* Sat Oct 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set safe version of hacking
- Use ubuntu focal travis environment for tests

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move logic to retrieve system uuid to detect_utils

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix output of hpacucli when no info available

* Sat Oct 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move 2 more functions to detect_utils
- Move detect_disks to diskinfo module
- Move detect_megacli in the megacli module

* Wed Oct 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move detect_hpa in the hpacucli module

* Mon Sep 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- detect: Don't add empty lists
- setup: Defaulting to python3

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Import detect_utils as module

* Fri Jun 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move detect_areca in the areca module as detect

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set flake8-import-order min version to 0.17.1

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove pylint check

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use mock from unittest

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump hacking to 3.0.0

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add disk rotation rate to SMART collected data

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Collect CPU architecture, SMT state and threads per core
- Simple refactor of test_detect_utils
- Get the CPU scaling governor on kernels < 4.3
- Handle check_output exception
- Fix travis CI
- simplify _from_file function
- detect: Fixing numa cpu_count computation
- Fix typos, improve docstrings
- Remove hardware.cardiff and the hardware-cardiff tool (fixes #124)
- Stop using six library
- Drop the dependency on netaddr
- Skip network drive grouping when network drives not detected
- No need to import print_function anymore
- Use correct python version for tox based on env
- Stop supporting Python 2.x

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #123 from elfosardo/goodbye-six
- Merge branch 'master' into goodbye-six
- Merge pull request #122 from dtantsur/netaddr
- Stop using six library
- Drop the dependency on netaddr
- Merge pull request #121 from jovial/network-disk
- Skip network drive grouping when network drives not detected
- Merge pull request #119 from elfosardo/no-future
- Merge pull request #118 from elfosardo/use-correct-py-ver
- No need to import print_function anymore
- Use correct python version for tox based on env
- Merge pull request #116 from elfosardo/goodbye-py2
- Stop supporting Python 2.x

* Thu Jan 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #123 from elfosardo/goodbye-six
- Merge branch 'master' into goodbye-six
- Stop using six library

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #122 from dtantsur/netaddr
- Drop the dependency on netaddr

* Fri Jan 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #121 from jovial/network-disk
- Skip network drive grouping when network drives not detected

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #119 from elfosardo/no-future
- Merge pull request #118 from elfosardo/use-correct-py-ver
- No need to import print_function anymore
- Use correct python version for tox based on env

* Wed Dec 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #116 from elfosardo/goodbye-py2
- Stop supporting Python 2.x

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #115 from urosorozel/hpacucli
- Fix hpacucli with python3

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #113 from elfosardo/use-bionic
- Use bionic instead of xenial for travis CI

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #112 from elfosardo/travis-py-all
- Use tox-travis for testing

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #111 from elfosardo/drop-py35
- Drop Python 3.5 in favor of Python 3.8

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #110 from elfosardo/check-reqs
- Enabling docs testing in travis

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #109 from dtantsur/master
- Rename FakeAMD back to AuthenticAMD

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #108 from elfosardo/fix-mem-benchmark
- Merge pull request #106 from elfosardo/use-str-format
- Fix error mem benchmark with Python 3
- Use string format instead of concatenation


